<div *ngIf='!isUpload; else: uploadImg' class='img-center' >
  <a [attr.disabled]="mbIsDisable ? '' : null" [ngStyle]="{'opacity': mbIsDisable ? 0.5 : null }">
    <div [ngClass]="!isLoading ? '' : 'image-loading-wrap'">
      <img alt='' class='img-item' [src]='mbSrc'>
    </div>
  </a>
  <em *ngIf='isLoading' class='image-loading' nz-icon [nzType]="'loading'"></em>
</div>


<ng-template #uploadImg>
  <div class="img-center">
    <ng-container *ngIf='fileList.length > 0; else: fileImage'>
      <a class='show-btn' [attr.disabled]="mbIsDisable ? '' : null" [ngStyle]="{'opacity': mbIsDisable ? 0.5 : null }">
        <div class='img-upload' #wrapImg>
          <img alt='' nz-image class='img-item' [nzSrc]='strBase64'>
        </div>
      </a>
      <em (mouseover)='overBtn()' (mouseout)='outBtn()' class='delete-image' (click)="deleteImage()" nz-icon nzType="delete" nzTheme="outline"></em>
    </ng-container>
  </div>
</ng-template>
<ng-template #fileImage>
  <nz-upload ngDefaultControl
    nzListType="picture-card"
    [(nzFileList)]="fileList"
    [nzShowButton]="fileList.length < 1"
    [nzShowUploadList]='showUploadList'
    [nzBeforeUpload]='beforeUpload'
  >
    <div>
      <em  style="font-size: 24px" nz-icon nzType="camera"></em>
      <div class='upload-title'>Tải ảnh lên</div>
      <div class='upload-description'>Hỗ trợ file định dạng: png. Không vượt quá 3MB</div>
      <div class='upload-description'>Kich thước ảnh nên là 4:3</div>
    </div>
  </nz-upload>
</ng-template>
